Skip to content
Ona Docs

StartEnvironment

POST/gitpod.v1.EnvironmentService/StartEnvironment

Starts a stopped environment.

Use this method to resume work on a previously stopped environment. The environment retains its configuration and workspace content from when it was stopped.

Examples

  • Start an environment:

    Resumes a previously stopped environment with its existing configuration.

    environmentId: "07e03a28-65a5-4d98-b532-8ea67b188048"
Body ParametersJSONExpand Collapse
environmentId: optional string

environment_id specifies which environment should be started.

formatuuid

StartEnvironment

curl https://app.gitpod.io/api/gitpod.v1.EnvironmentService/StartEnvironment \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $GITPOD_API_KEY" \
    -d '{}'
{}
Returns Examples
{}